package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;

public class LoginPMEPage extends PageBase {
    //Maping

    By username = By.id("user");
    By password = By.id("password");
    By loginButtonpme = By.xpath("//*[@class='v-btn v-btn--is-elevated v-btn--has-bg theme--light v-size--default primary zd-button']//span[@class='v-btn__content']");
    By mensagemErroTextArea = By.xpath("//*[@class='zh-alert-button']");
    By mensagemAlert = By.id("yes");
    By Clicarparaconfirmarcentralprametrizada = By.id("dialogButton");


    //Actions

    public void preencherUsuario(String usuariopme) {
        //click(usernameField);
        try {
            Thread.sleep(3000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        sendKeys(username, usuariopme);
    }

    public void preencherSenha(String senhapme) {
        sendKeys(password, senhapme);
    }


    public void clicarnologin() {
        //waitForVisibilityOfElementLocated(loadingWait);
        //waitForInvisibilityOfElementLocated(loadingWait);
        click(loginButtonpme);
        try {
            Thread.sleep(2000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    public void clicarnosim(){
        click(mensagemAlert);
        try {
            Thread.sleep(3000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    public void confirmarcentralparam(){
        click(Clicarparaconfirmarcentralprametrizada);
    }
}